package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TDeviceOperationExample {
    /**
     * t_device_operation
     */
    protected String orderByClause;

    /**
     * t_device_operation
     */
    protected boolean distinct;

    /**
     * t_device_operation
     */
    protected List<Criteria> oredCriteria;

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    public TDeviceOperationExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-05-29 14:09:31
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-05-29 14:09:31
    */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNull() {
            addCriterion("STATION_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNotNull() {
            addCriterion("STATION_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeEqualTo(String value) {
            addCriterion("STATION_CODE =", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotEqualTo(String value) {
            addCriterion("STATION_CODE <>", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThan(String value) {
            addCriterion("STATION_CODE >", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE >=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThan(String value) {
            addCriterion("STATION_CODE <", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE <=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLike(String value) {
            addCriterion("STATION_CODE like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotLike(String value) {
            addCriterion("STATION_CODE not like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeIn(List<String> values) {
            addCriterion("STATION_CODE in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotIn(List<String> values) {
            addCriterion("STATION_CODE not in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeBetween(String value1, String value2) {
            addCriterion("STATION_CODE between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE not between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDataTypeIsNull() {
            addCriterion("DATA_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andDataTypeIsNotNull() {
            addCriterion("DATA_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andDataTypeEqualTo(String value) {
            addCriterion("DATA_TYPE =", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeNotEqualTo(String value) {
            addCriterion("DATA_TYPE <>", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeGreaterThan(String value) {
            addCriterion("DATA_TYPE >", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeGreaterThanOrEqualTo(String value) {
            addCriterion("DATA_TYPE >=", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeLessThan(String value) {
            addCriterion("DATA_TYPE <", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeLessThanOrEqualTo(String value) {
            addCriterion("DATA_TYPE <=", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeLike(String value) {
            addCriterion("DATA_TYPE like", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeNotLike(String value) {
            addCriterion("DATA_TYPE not like", value, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeIn(List<String> values) {
            addCriterion("DATA_TYPE in", values, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeNotIn(List<String> values) {
            addCriterion("DATA_TYPE not in", values, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeBetween(String value1, String value2) {
            addCriterion("DATA_TYPE between", value1, value2, "dataType");
            return (Criteria) this;
        }

        public Criteria andDataTypeNotBetween(String value1, String value2) {
            addCriterion("DATA_TYPE not between", value1, value2, "dataType");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdIsNull() {
            addCriterion("MAINTENANCE_RECORDS_ID is null");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdIsNotNull() {
            addCriterion("MAINTENANCE_RECORDS_ID is not null");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdEqualTo(Integer value) {
            addCriterion("MAINTENANCE_RECORDS_ID =", value, "maintenanceRecordsId");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdNotEqualTo(Integer value) {
            addCriterion("MAINTENANCE_RECORDS_ID <>", value, "maintenanceRecordsId");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdGreaterThan(Integer value) {
            addCriterion("MAINTENANCE_RECORDS_ID >", value, "maintenanceRecordsId");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("MAINTENANCE_RECORDS_ID >=", value, "maintenanceRecordsId");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdLessThan(Integer value) {
            addCriterion("MAINTENANCE_RECORDS_ID <", value, "maintenanceRecordsId");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdLessThanOrEqualTo(Integer value) {
            addCriterion("MAINTENANCE_RECORDS_ID <=", value, "maintenanceRecordsId");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdIn(List<Integer> values) {
            addCriterion("MAINTENANCE_RECORDS_ID in", values, "maintenanceRecordsId");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdNotIn(List<Integer> values) {
            addCriterion("MAINTENANCE_RECORDS_ID not in", values, "maintenanceRecordsId");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdBetween(Integer value1, Integer value2) {
            addCriterion("MAINTENANCE_RECORDS_ID between", value1, value2, "maintenanceRecordsId");
            return (Criteria) this;
        }

        public Criteria andMaintenanceRecordsIdNotBetween(Integer value1, Integer value2) {
            addCriterion("MAINTENANCE_RECORDS_ID not between", value1, value2, "maintenanceRecordsId");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andTaskStatusIsNull() {
            addCriterion("TASK_STATUS is null");
            return (Criteria) this;
        }

        public Criteria andTaskStatusIsNotNull() {
            addCriterion("TASK_STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andTaskStatusEqualTo(String value) {
            addCriterion("TASK_STATUS =", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusNotEqualTo(String value) {
            addCriterion("TASK_STATUS <>", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusGreaterThan(String value) {
            addCriterion("TASK_STATUS >", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusGreaterThanOrEqualTo(String value) {
            addCriterion("TASK_STATUS >=", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusLessThan(String value) {
            addCriterion("TASK_STATUS <", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusLessThanOrEqualTo(String value) {
            addCriterion("TASK_STATUS <=", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusLike(String value) {
            addCriterion("TASK_STATUS like", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusNotLike(String value) {
            addCriterion("TASK_STATUS not like", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusIn(List<String> values) {
            addCriterion("TASK_STATUS in", values, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusNotIn(List<String> values) {
            addCriterion("TASK_STATUS not in", values, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusBetween(String value1, String value2) {
            addCriterion("TASK_STATUS between", value1, value2, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusNotBetween(String value1, String value2) {
            addCriterion("TASK_STATUS not between", value1, value2, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdIsNull() {
            addCriterion("REMOTE_CFG_ID is null");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdIsNotNull() {
            addCriterion("REMOTE_CFG_ID is not null");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdEqualTo(Integer value) {
            addCriterion("REMOTE_CFG_ID =", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdNotEqualTo(Integer value) {
            addCriterion("REMOTE_CFG_ID <>", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdGreaterThan(Integer value) {
            addCriterion("REMOTE_CFG_ID >", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("REMOTE_CFG_ID >=", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdLessThan(Integer value) {
            addCriterion("REMOTE_CFG_ID <", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdLessThanOrEqualTo(Integer value) {
            addCriterion("REMOTE_CFG_ID <=", value, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdIn(List<Integer> values) {
            addCriterion("REMOTE_CFG_ID in", values, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdNotIn(List<Integer> values) {
            addCriterion("REMOTE_CFG_ID not in", values, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdBetween(Integer value1, Integer value2) {
            addCriterion("REMOTE_CFG_ID between", value1, value2, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andRemoteCfgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("REMOTE_CFG_ID not between", value1, value2, "remoteCfgId");
            return (Criteria) this;
        }

        public Criteria andConfigManIsNull() {
            addCriterion("CONFIG_MAN is null");
            return (Criteria) this;
        }

        public Criteria andConfigManIsNotNull() {
            addCriterion("CONFIG_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andConfigManEqualTo(String value) {
            addCriterion("CONFIG_MAN =", value, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManNotEqualTo(String value) {
            addCriterion("CONFIG_MAN <>", value, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManGreaterThan(String value) {
            addCriterion("CONFIG_MAN >", value, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManGreaterThanOrEqualTo(String value) {
            addCriterion("CONFIG_MAN >=", value, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManLessThan(String value) {
            addCriterion("CONFIG_MAN <", value, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManLessThanOrEqualTo(String value) {
            addCriterion("CONFIG_MAN <=", value, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManLike(String value) {
            addCriterion("CONFIG_MAN like", value, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManNotLike(String value) {
            addCriterion("CONFIG_MAN not like", value, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManIn(List<String> values) {
            addCriterion("CONFIG_MAN in", values, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManNotIn(List<String> values) {
            addCriterion("CONFIG_MAN not in", values, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManBetween(String value1, String value2) {
            addCriterion("CONFIG_MAN between", value1, value2, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigManNotBetween(String value1, String value2) {
            addCriterion("CONFIG_MAN not between", value1, value2, "configMan");
            return (Criteria) this;
        }

        public Criteria andConfigTimeIsNull() {
            addCriterion("CONFIG_TIME is null");
            return (Criteria) this;
        }

        public Criteria andConfigTimeIsNotNull() {
            addCriterion("CONFIG_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andConfigTimeEqualTo(Date value) {
            addCriterion("CONFIG_TIME =", value, "configTime");
            return (Criteria) this;
        }

        public Criteria andConfigTimeNotEqualTo(Date value) {
            addCriterion("CONFIG_TIME <>", value, "configTime");
            return (Criteria) this;
        }

        public Criteria andConfigTimeGreaterThan(Date value) {
            addCriterion("CONFIG_TIME >", value, "configTime");
            return (Criteria) this;
        }

        public Criteria andConfigTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CONFIG_TIME >=", value, "configTime");
            return (Criteria) this;
        }

        public Criteria andConfigTimeLessThan(Date value) {
            addCriterion("CONFIG_TIME <", value, "configTime");
            return (Criteria) this;
        }

        public Criteria andConfigTimeLessThanOrEqualTo(Date value) {
            addCriterion("CONFIG_TIME <=", value, "configTime");
            return (Criteria) this;
        }

        public Criteria andConfigTimeIn(List<Date> values) {
            addCriterion("CONFIG_TIME in", values, "configTime");
            return (Criteria) this;
        }

        public Criteria andConfigTimeNotIn(List<Date> values) {
            addCriterion("CONFIG_TIME not in", values, "configTime");
            return (Criteria) this;
        }

        public Criteria andConfigTimeBetween(Date value1, Date value2) {
            addCriterion("CONFIG_TIME between", value1, value2, "configTime");
            return (Criteria) this;
        }

        public Criteria andConfigTimeNotBetween(Date value1, Date value2) {
            addCriterion("CONFIG_TIME not between", value1, value2, "configTime");
            return (Criteria) this;
        }

        public Criteria andOperationManIsNull() {
            addCriterion("OPERATION_MAN is null");
            return (Criteria) this;
        }

        public Criteria andOperationManIsNotNull() {
            addCriterion("OPERATION_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andOperationManEqualTo(String value) {
            addCriterion("OPERATION_MAN =", value, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManNotEqualTo(String value) {
            addCriterion("OPERATION_MAN <>", value, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManGreaterThan(String value) {
            addCriterion("OPERATION_MAN >", value, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManGreaterThanOrEqualTo(String value) {
            addCriterion("OPERATION_MAN >=", value, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManLessThan(String value) {
            addCriterion("OPERATION_MAN <", value, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManLessThanOrEqualTo(String value) {
            addCriterion("OPERATION_MAN <=", value, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManLike(String value) {
            addCriterion("OPERATION_MAN like", value, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManNotLike(String value) {
            addCriterion("OPERATION_MAN not like", value, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManIn(List<String> values) {
            addCriterion("OPERATION_MAN in", values, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManNotIn(List<String> values) {
            addCriterion("OPERATION_MAN not in", values, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManBetween(String value1, String value2) {
            addCriterion("OPERATION_MAN between", value1, value2, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationManNotBetween(String value1, String value2) {
            addCriterion("OPERATION_MAN not between", value1, value2, "operationMan");
            return (Criteria) this;
        }

        public Criteria andOperationTimeIsNull() {
            addCriterion("OPERATION_TIME is null");
            return (Criteria) this;
        }

        public Criteria andOperationTimeIsNotNull() {
            addCriterion("OPERATION_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andOperationTimeEqualTo(Date value) {
            addCriterion("OPERATION_TIME =", value, "operationTime");
            return (Criteria) this;
        }

        public Criteria andOperationTimeNotEqualTo(Date value) {
            addCriterion("OPERATION_TIME <>", value, "operationTime");
            return (Criteria) this;
        }

        public Criteria andOperationTimeGreaterThan(Date value) {
            addCriterion("OPERATION_TIME >", value, "operationTime");
            return (Criteria) this;
        }

        public Criteria andOperationTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("OPERATION_TIME >=", value, "operationTime");
            return (Criteria) this;
        }

        public Criteria andOperationTimeLessThan(Date value) {
            addCriterion("OPERATION_TIME <", value, "operationTime");
            return (Criteria) this;
        }

        public Criteria andOperationTimeLessThanOrEqualTo(Date value) {
            addCriterion("OPERATION_TIME <=", value, "operationTime");
            return (Criteria) this;
        }

        public Criteria andOperationTimeIn(List<Date> values) {
            addCriterion("OPERATION_TIME in", values, "operationTime");
            return (Criteria) this;
        }

        public Criteria andOperationTimeNotIn(List<Date> values) {
            addCriterion("OPERATION_TIME not in", values, "operationTime");
            return (Criteria) this;
        }

        public Criteria andOperationTimeBetween(Date value1, Date value2) {
            addCriterion("OPERATION_TIME between", value1, value2, "operationTime");
            return (Criteria) this;
        }

        public Criteria andOperationTimeNotBetween(Date value1, Date value2) {
            addCriterion("OPERATION_TIME not between", value1, value2, "operationTime");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagIsNull() {
            addCriterion("PROCESSING_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagIsNotNull() {
            addCriterion("PROCESSING_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagEqualTo(Integer value) {
            addCriterion("PROCESSING_FLAG =", value, "processingFlag");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagNotEqualTo(Integer value) {
            addCriterion("PROCESSING_FLAG <>", value, "processingFlag");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagGreaterThan(Integer value) {
            addCriterion("PROCESSING_FLAG >", value, "processingFlag");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("PROCESSING_FLAG >=", value, "processingFlag");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagLessThan(Integer value) {
            addCriterion("PROCESSING_FLAG <", value, "processingFlag");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagLessThanOrEqualTo(Integer value) {
            addCriterion("PROCESSING_FLAG <=", value, "processingFlag");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagIn(List<Integer> values) {
            addCriterion("PROCESSING_FLAG in", values, "processingFlag");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagNotIn(List<Integer> values) {
            addCriterion("PROCESSING_FLAG not in", values, "processingFlag");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagBetween(Integer value1, Integer value2) {
            addCriterion("PROCESSING_FLAG between", value1, value2, "processingFlag");
            return (Criteria) this;
        }

        public Criteria andProcessingFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("PROCESSING_FLAG not between", value1, value2, "processingFlag");
            return (Criteria) this;
        }

        public Criteria andStationCodeLikeInsensitive(String value) {
            addCriterion("upper(STATION_CODE) like", value.toUpperCase(), "stationCode");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLikeInsensitive(String value) {
            addCriterion("upper(DEVICE_SN) like", value.toUpperCase(), "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDataTypeLikeInsensitive(String value) {
            addCriterion("upper(DATA_TYPE) like", value.toUpperCase(), "dataType");
            return (Criteria) this;
        }

        public Criteria andTaskStatusLikeInsensitive(String value) {
            addCriterion("upper(TASK_STATUS) like", value.toUpperCase(), "taskStatus");
            return (Criteria) this;
        }

        public Criteria andConfigManLikeInsensitive(String value) {
            addCriterion("upper(CONFIG_MAN) like", value.toUpperCase(), "configMan");
            return (Criteria) this;
        }

        public Criteria andOperationManLikeInsensitive(String value) {
            addCriterion("upper(OPERATION_MAN) like", value.toUpperCase(), "operationMan");
            return (Criteria) this;
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-05-29 14:09:31
    */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2025-05-29 14:09:31
    */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}